<?php

/**
*
* @package BB3Ajaxer
* @copyright (c) 2023 PPK
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*
*/

if (!defined('IN_PHPBB'))
{
	exit;
}
if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

$lang = array_merge($lang, array(
	'USER_BB3AJAXER_TOPICS' => 'Ajax topics loading',
	'USER_BB3AJAXER_TOPICS_EXPLAIN' => 'Load topics on forum topic list page as page scrolls',

	'USER_BB3AJAXER_SEARCH' => 'Ajax loading search results',
	'USER_BB3AJAXER_SEARCH_EXPLAIN' => 'Load search results page as page scrolls',

	'USER_BB3AJAXER_MEMBERS' => 'Ajax user loading',
	'USER_BB3AJAXER_MEMBERS_EXPLAIN' => 'Load users on forum user list page as page scrolls',

	'USER_BB3AJAXER_POSTS' => 'Ajax posts loading',
	'USER_BB3AJAXER_POSTS_EXPLAIN' => 'Load posts on topic post list page as page scrolls',

	'USER_BB3AJAXER_PREVIOUS' => 'Ajax loading previous pages',
	'USER_BB3AJAXER_PREVIOUS_EXPLAIN' => 'Display previous page loading links on topic, post and user list pages',

	'BB3AJAXER_NEXT_PAGE' => 'Next page',
	'BB3AJAXER_PREV_PAGE' => 'Previous page',
	'BB3AJAXER_PAGE_CURRENT' => 'Current:',
	'BB3AJAXER_PAGE_FROM' => 'from',
	'BB3AJAXER_PAGE' => 'Page:',
	'BB3AJAXER_PAGE_LOADING' => 'Loading ..',
));
