<?php

/**
*
* @package BB3Ajaxer
* @copyright (c) 2023 PPK
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*
*/

if (!defined('IN_PHPBB'))
{
	exit;
}
if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

$lang = array_merge($lang, array(
	'ACP_BB3AJAXER' => 'Ajax page loading',

	'BB3AJAXER_TOPICS' => 'Ajax topics loading',
	'BB3AJAXER_TOPICS_EXPLAIN' => 'Allow ajax loading topics on the forum topic list page',

	'BB3AJAXER_SEARCH' => 'Ajax loading search results',
	'BB3AJAXER_SEARCH_EXPLAIN' => 'Allow ajax loading on search results page',

	'BB3AJAXER_MEMBERS' => 'Ajax user loading',
	'BB3AJAXER_MEMBERS_EXPLAIN' => 'Allow ajax loading users on forum user list page',

	'BB3AJAXER_POSTS' => 'Ajax posts loading',
	'BB3AJAXER_POSTS_EXPLAIN' => 'Allow ajax loading posts on the topic\'s post list page',

	'BB3AJAXER_PREVIOUS' => 'Ajax loading previous pages',
	'BB3AJAXER_PREVIOUS_EXPLAIN' => 'Allow display links to load previous pages on the above pages (will not work for pages with None above)',

	'BB3AJAXER_BY_SCROLL' => 'When scrolling',
	'BB3AJAXER_LINK_ONLY' => 'By link',
	'BB3AJAXER_APPLY_OPTIONS' => 'apply',
	'BB3AJAXER_APPLY_DEFAULT' => 'default',
	'BB3AJAXER_APPLY_FORCED' => 'forced',
));
