<?php

/**
*
* @package BB3Ajaxer
* @copyright (c) 2023 PPK
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*
*/

namespace ppk\bb3ajaxer\migrations;

class bb3ajaxer_manage3 extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return isset($this->config['bb3ajaxer_version']) && version_compare($this->config['bb3ajaxer_version'], '1.3.3', '>=');
	}

	static public function depends_on()
	{
		return array('\ppk\bb3ajaxer\migrations\bb3ajaxer_manage2');
	}

	public function update_data()
	{
		return array(
			array('config.add', array('bb3ajaxer_config_apply', json_encode(array('t'=>0, 'p'=>0, 'm'=>1, 's'=>0, 'prev'=>0)))),

			array('config.update', array('bb3ajaxer_version', '1.3.7')),

		);
	}

	public function revert_data()
	{
		return array(
			array('config.remove', array('bb3ajaxer_config_apply')),

		);
	}

}